Bug 718092 - imsettings-daemon keeps running away
imsettings-daemon keeps running away
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 19:14 EDT by H. Peter Anvin
Modified: 2011-07-22 15:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: imsettings-1.2.4-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-22 15:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2011-06-30 19:14:55 EDT
Description of problem:
I have observed, on a number of systems, imsettings-daemon running amok and occupying 100% of a single CPU, obviously making power management useless.

This is running KDE as the main desktop.

Version-Release number of selected component (if applicable):
imsettings-1.2.3-1.fc15.x86_64

How reproducible:
Frequent, but not deterministic.

Steps to Reproduce:
1. Run KDE as desktop
2. Monitor system load
3. See imsettings-daemon run in a loop, needing kill -9 to be stopped
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2011-06-30 21:49:30 EDT
Can you upload your $HOME/.imsettings.log and give me which locale you use.
Comment 2 Akira TAGOH 2011-07-13 01:48:35 EDT
Okay, finally I can see this issue here. though I'm still not sure how to reproduce it, continue to investigate this.
Comment 3 Fedora Update System 2011-07-13 04:17:50 EDT
imsettings-1.2.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/imsettings-1.2.4-1.fc15
Comment 4 Fedora Update System 2011-07-13 15:27:26 EDT
Package imsettings-1.2.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.2.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/imsettings-1.2.4-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-07-22 15:35:46 EDT
imsettings-1.2.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.